<?php

namespace Teknisa\CRM\Factory;

class MotiEvolContFactory {
    protected $connection;
    
    public function __construct($entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    public function removeAttachment($params) {
        
        $sql = "UPDATE MOTIEVOLCONT
                SET DSCAMINHOANEXOPADRAO = NULL,
                    NMANEXOPADRAO        = NULL,
                    CDOPERULTATU         = :CDOPERADOR,
                    NRORGULTATU          = :NRORGOPER,
                    DTULTATUMOEC         = SYSDATE,
                    DTULTATU             = SYSDATE
                WHERE CDMOTIEVOCON = :CDMOTIEVOCON
                  AND NRORG        = :NRORG";
        
        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }
}